Get consents items by query
curl --request POST \
--url https://{host}/consent/v1/Consents/searches \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"take": 500,
"skip": 1073741823,
"consentIds": [
"<string>"
],
"consentKeys": [
"<string>"
],
"isActive": true,
"isPublished": true
}
'import requests
url = "https://{host}/consent/v1/Consents/searches"
payload = {
"take": 500,
"skip": 1073741823,
"consentIds": ["<string>"],
"consentKeys": ["<string>"],
"isActive": True,
"isPublished": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
take: 500,
skip: 1073741823,
consentIds: ['<string>'],
consentKeys: ['<string>'],
isActive: true,
isPublished: true
})
};
fetch('https://{host}/consent/v1/Consents/searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consents": [
{
"id": "agreement.cpl_0",
"key": "agreement.cpl",
"name": "<string>",
"component": "<string>",
"version": 123,
"revision": 123,
"contentUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"consentType": "Regular",
"iconUrl": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"details": null
}Get consents items by query
POST
/
v1
/
Consents
/
searches
Get consents items by query
Authorizations
Headers
Language code for localized content
Body
application/json
Query parameters including consent IDs, keys, and filters
Contract for querying consents by parameters
Gets or sets value for how many records return (per page).
Required range:
1 <= x <= 1000Gets or sets value for how many records skip.
Required range:
0 <= x <= 2147483647Consent identifiers
Consent keys
Filter by active status (true for active, false for inactive, null for all)
Filter by published status (true for published, false for unpublished, null for all)
Response
ConsentApi.Dto.Common.ConsentBulkDto object
Array of consent items
Show child attributes
Show child attributes
Last modified on August 10, 2026
⌘I